Skip to main content
Learn how to integrate stickers by Stipop in your app. Stipop is the world’s trendiest sticker platform and creator community.

Before you begin

1

Create a Stipop account

Sign up at Stipop.
2

Complete your app details

Provide your application name, website, category, sub-category, region, and app MAU.
3

Get your credentials

Click Get Started, then copy the API Key from the dashboard. In SettingsApplication, copy the Application ID.

Extension settings

1

Open your CometChat app

Login to CometChat and select your app.
2

Enable Stipop

Go to Chat & Messaging —> Features, under Extentions and enable Stipop.
3

Add credentials

Open the settings and enter your Stipop Application ID and API Key.
4

Save settings

Save your configuration to activate the extension.

How does it work?

The extension provides the following functionalities:
  • Get trending stickers: Fetch current trending stickers from Stipop.
  • Search stickers: Search stickers using a phrase or keyword.
This extension uses the callExtension method provided by the CometChat SDK. The API call requires the following Query Parameters:
langstringSpecify default language for regional stickers. Use a 2-letter ISO 639-1 language code. Default Value: en
limitintThe maximum number of stickers per page. Use pageNumber accordingly for optimized sticker view. Default Value: 20 (max: 50)
pageNumberintSpecify pageNumber to show limit number of stickers per page.
countryCodestringSpecify default country for local stickers. Use a 2-letter ISO 3166-1 country code. Default Value: US
const qs = `?lang=${lang}&limit=${limit}&pageNumber=${pageNumber}&countryCode=${contryCode}`;

CometChat.callExtension('stickers-stipop', 'GET', 'v1/trending' + qs, null)
  .then(response => {
		// Stickers in response
	})
	.catch(error => {
		// Error occured
	});

Search for stickers

The API call requires the following Query Parameters:
langstringSpecify default language for regional stickers. Use a 2-letter ISO 639-1 language code. Default Value: en
limitintThe maximum number of stickers per page. Use pageNumber accordingly for optimized sticker view. Default Value: 20 (max: 50)
pageNumberintSpecify pageNumber to show limit number of stickers per page.
querystringThe search term for finding stickers.
const qs = `?lang=${lang}&limit=${limit}&pageNumber=${pageNumber}&query=${query}`;

CometChat.callExtension('stickers-stipop', 'GET', 'v1/search' + qs, null)
  .then(response => {
		// Stickers in response
	})
	.catch(error => {
		// Error occured
	});